load("@io_bazel_rules_go//go:def.bzl", "go_library", "go_test")

go_library(
    name = "httpmanifest",
    srcs = [
        "provider.go",
        "time.go",
    ],
    importpath = "github.com/Eriyc/rules_wails/pkg/wails3kit/updates/providers/httpmanifest",
    visibility = ["//visibility:public"],
    deps = ["//pkg/wails3kit/updates"],
)

go_test(
    name = "httpmanifest_test",
    srcs = ["provider_test.go"],
    embed = [":httpmanifest"],
    deps = ["//pkg/wails3kit/updates"],
)
